package com.aidex.common.app.server;

import com.aidex.common.app.domain.vo.LocationVO;
import com.aidex.common.app.domain.vo.SysWharfVO;
import com.aidex.common.core.domain.R;
import com.aidex.common.gps.domain.LocationEntity;
import com.aidex.common.plush.domain.vo.SysShipExtendVO;
import com.aidex.common.plush.domain.vo.SysShipResVO;
import com.aidex.system.domain.SysNotice;
import com.aidex.system.domain.SysReservationData;
import com.aidex.system.domain.SysWharf;
import com.aidex.system.domain.vo.SysReservationDataHistoryVO;
import com.alibaba.fastjson2.JSONArray;

import java.util.List;

public interface IAppService {

    List<SysNotice> getCarouselList();

    List<SysNotice> getNoticeList();

    SysNotice findCarouselAndNoticeDetails(String id);

    List<SysWharf> findSysWharfList();

    List<SysShipExtendVO> findAllLocation(Boolean direction);

    SysShipResVO findAllLocationByNext(Boolean direction, String lat, String lon);

    SysWharfVO findNearestStation(String lat, String lng);

    JSONArray getEnableReservationConfig();

    R saveReservationData(SysReservationData sysReservationData);

    int cancelReservation(String id);

    List<SysReservationDataHistoryVO> getHistoryReservationList(String openid, String type);
}
