package com.aidex.system.req;

import com.aidex.common.annotation.Excel;
import com.aidex.common.utils.log.annotation.FieldRemark;
import com.aidex.common.utils.log.annotation.LogField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.FutureOrPresent;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author ：ChenSir
 * @date ：Created in 2024/3/28 11:32
 * @description：
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SysReservationConfigReq implements Serializable {

	private static final long serialVersionUID = 4854884754912549447L;

	/** 开始日期 */
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@NotNull(message = "开始日期不允许为空")
	private Date startDate;

	/** 结束日期 */
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@NotNull(message = "结束日期不允许为空")
	private Date endDate;

	/** 班次时常-分钟 */
	@NotNull(message = "班次时常不允许为空")
	private int duration;

	/** 班次可预约人数 */
	@NotNull(message = "可预约人数不允许为空")
	private long enableNum;

	/** 班次可预约人数 */
	@NotNull(message = "发布状态不可为空")
	private String status;

}
