package com.aidex.system.service;

import com.aidex.common.core.service.BaseService;
import com.aidex.system.domain.SysReservationConfig;
import com.aidex.system.req.SysReservationConfigReq;

import java.util.List;
import java.util.Map;

/**
 * 预约配置Service接口
 * @author Chensir
 * @email 914769835
 * @date 2024-03-28
 */
public interface SysReservationConfigService extends BaseService<SysReservationConfig> {

    /**
     * 批量删除预约配置
     * @param ids 需要删除的预约配置ID集合
     * @return 结果
     */
    public int deleteSysReservationConfigByIds(String[] ids);


    /**
     * 批量添加预约配置
     * @param list 需要删除的预约配置ID集合
     * @return 结果
     */
    public int batchInsert(List<SysReservationConfig> list);

    /**
     * 预约配置
     * @param sysReservationConfigReq 新增预约配置对象
     * @return 结果
     */
    public int addBySysReservationConfigReq(SysReservationConfigReq sysReservationConfigReq);


    /**
     * 根据日期获取统计数据
     * @param date 根据日期获取统计数据
     * @return 结果
     */
    public List<Map<String, String>> getStatiscDataBydate(String date);

    /**
     * 根据日期获取统计数据-行数据
     * @param date 根据日期获取统计数据
     * @return 结果
     */
    public List<String> getStatiscColumns(String date);

}
