package com.aidex.system.service;

import com.aidex.common.core.service.BaseService;
import com.aidex.system.domain.SysShip;

/**
 * 船只管理Service接口
 * @author ChenSir
 * @email 91476835
 * @date 2024-03-16
 */
public interface SysShipService extends BaseService<SysShip> {

    /**
     * 批量删除船只管理
     * @param ids 需要删除的船只管理ID集合
     * @return 结果
     */
    public int deleteSysShipByIds(String[] ids);


    /**
     * @param macId 船只编号
     * @return 结果
     */
    public SysShip getShipByMacId(String macId);

    /**
     * 批量删除船只管理
     * @param macId 船只编号
     * @return 结果
     */
    public int updateStatusByMacId(String macId, String status);


}
