import request from '@/utils/request'

// 查询预约配置列表
export function listSysReservationConfig (query) {
  return request({
    url: '/system/sysReservationConfig/list',
    method: 'get',
    params: query
  })
}

// 查询预约配置详细
export function getSysReservationConfig (id) {
  return request({
    url: '/system/sysReservationConfig/' + id,
    method: 'get'
  })
}

// 新增预约配置
export function addSysReservationConfig (data) {
  return request({
    url: '/system/sysReservationConfig',
    method: 'post',
    data: data
  })
}

export function batchAddSysReservationConfig (data) {
  return request({
    url: '/system/sysReservationConfig/batchAdd',
    method: 'post',
    data: data
  })
}

// 修改预约配置
export function updateSysReservationConfig (data) {
  return request({
    url: '/system/sysReservationConfig',
    method: 'put',
    data: data
  })
}

// 删除预约配置
export function delSysReservationConfig (id) {
  return request({
    url: '/system/sysReservationConfig/' + id,
    method: 'delete'
  })
}

// 导出预约配置
export function exportSysReservationConfig (query) {
  return request({
    url: '/system/sysReservationConfig/export',
    method: 'get',
    params: query
  })
}

// 获取初始化数据
export function getInitData (dictTypes) {
  return request({
    url: '/system/sysReservationConfig/getInitData/' + dictTypes,
    method: 'get'
  })
}

export function statiscData (query) {
  return request({
    url: '/system/sysReservationConfig/statisc',
    method: 'get',
    params: query
  })
}

export function statiscColumns (query) {
  return request({
    url: '/system/sysReservationConfig/statisc/columns',
    method: 'get',
    params: query
  })
}
